# Uses of Interface
org.xnio.conduits.StreamSinkConduit

Packages that use StreamSinkConduit
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of StreamSinkConduit in org.xnio

Methods in org.xnio with parameters of type StreamSinkConduit
Modifier and Type
Method
Description
`protected void`
StreamConnection.`setSinkConduit(StreamSinkConduit conduit)`
Set the sink conduit for this channel.

## Uses of StreamSinkConduit in org.xnio.conduits

Classes in org.xnio.conduits with type parameters of type StreamSinkConduit
Modifier and Type
Class
Description
`class`
`AbstractStreamSinkConduit<D extends StreamSinkConduit>`
An abstract base class for filtering stream sink conduits.
Classes in org.xnio.conduits that implement StreamSinkConduit
Modifier and Type
Class
Description
`class`
`AbstractStreamSinkConduit<D extends StreamSinkConduit>`
An abstract base class for filtering stream sink conduits.
`final class`
`BlockingStreamSinkConduit`
`final class`
`BufferedStreamSinkConduit`
A stream sink conduit that buffers output data.
`final class`
`DeflatingStreamSinkConduit`
A filtering stream sink conduit which compresses the written data.
`final class`
`FixedLengthStreamSinkConduit`
A stream sink conduit with a limited length.
`final class`
`MessageStreamSinkConduit`
A stream sink conduit which wraps each write into a single message.
`final class`
`NullStreamSinkConduit`
A stream sink conduit which discards all data written to it.
`final class`
`StreamSinkChannelWrappingConduit`
A conduit which wraps a channel, for compatibility.
`final class`
`SynchronizedStreamSinkConduit`
A synchronized stream sink conduit.
Methods in org.xnio.conduits that return StreamSinkConduit
Modifier and Type
Method
Description
`StreamSinkConduit`
ConduitStreamSinkChannel.`getConduit()`
Get the underlying conduit for this channel.
Methods in org.xnio.conduits with parameters of type StreamSinkConduit
Modifier and Type
Method
Description
`void`
ConduitStreamSinkChannel.`setConduit(StreamSinkConduit conduit)`
Set the underlying conduit for this channel.
`static long`
Conduits.`transfer(ReadableByteChannel source, long count, ByteBuffer throughBuffer, StreamSinkConduit sink)`
Platform-independent channel-to-channel transfer method.
`static int`
Conduits.`writeFinalBasic(StreamSinkConduit conduit, ByteBuffer src)`
Writes the buffer to the conduit, and terminates writes if all the data is written
`static long`
Conduits.`writeFinalBasic(StreamSinkConduit conduit, ByteBuffer[] srcs, int offset, int length)`
Writes the buffer to the conduit, and terminates writes if all the data is written
Constructors in org.xnio.conduits with parameters of type StreamSinkConduit
Modifier
Constructor
Description
``
`BlockingStreamSinkConduit(StreamSinkConduit next)`
``
`BufferedStreamSinkConduit(StreamSinkConduit next, Pooled<ByteBuffer> pooledBuffer)`
Construct a new instance.
``
`ConduitStreamSinkChannel(Configurable configurable, StreamSinkConduit conduit)`
Construct a new instance.
``
`ConduitWritableByteChannel(StreamSinkConduit conduit)`
Construct a new instance.
``
`DeflatingStreamSinkConduit(StreamSinkConduit next, Deflater deflater)`
Construct a new instance.
``
`FramingMessageSinkConduit(StreamSinkConduit next, boolean longLengths, Pooled<ByteBuffer> transmitBuffer)`
Construct a new instance.
``
`SynchronizedStreamSinkConduit(StreamSinkConduit next)`
Construct a new instance.
``
`SynchronizedStreamSinkConduit(StreamSinkConduit next, Object lock)`
Construct a new instance.